Subject: Re: [PATCH iproute2] route: label externally offloaded routes

From: roopa <[email-masked]>
Date: Sun, 08 Mar 2015 07:14:14 -0700

On 3/7/15, 10:15 PM, [email-masked] wrote:
> From: Scott Feldman <[email-masked]>
>
> On ip route print dump, label externally offloaded routes with "external".
> Offloaded routes are flagged with RTNH_F_EXTERNAL, a recent additon to
> net-next.  For example:
>
> $ ip route
> default via 192.168.0.2 dev eth0
> 11.0.0.0/30 dev swp1  proto kernel  scope link  src 11.0.0.2 external
> 11.0.0.4/30 via 11.0.0.1 dev swp1  proto zebra  metric 20 external
> 11.0.0.8/30 dev swp2  proto kernel  scope link  src 11.0.0.10 external
> 11.0.0.12/30 via 11.0.0.9 dev swp2  proto zebra  metric 20 external
> 12.0.0.2  proto zebra  metric 30 external
>          nexthop via 11.0.0.1  dev swp1 weight 1
>          nexthop via 11.0.0.9  dev swp2 weight 1
> 12.0.0.3 via 11.0.0.1 dev swp1  proto zebra  metric 20 external
> 12.0.0.4 via 11.0.0.9 dev swp2  proto zebra  metric 20 external
> 192.168.0.0/24 dev eth0  proto kernel  scope link  src 192.168.0.15
>
> Signed-off-by: Scott Feldman <[email-masked]>

No objections to the patch.

since this is now getting exposed to userspace and there were 
suggestions in the past to use words like 'hw' or 'offload' in place of 
'external' here, checking to see if you are taking suggestions. If yes, 
would 'hw' or 'offloaded' be a better name for the flag ?.
Given that this will come up again for acls and such.

Thanks,
Roopa